Scroll

Can I Update To macOS Mojave?

Last Updated: 3/28/19

Are we compatible yet? Yes for Mojave 10.14.3 and below. 

Please do not update to the latest release of Mojave, 10.14.4, especially if you are a MacPractice dental user. 

Our latest 11.6 release is fully compatible with macOS 10.14.3 and below!

artboard_1x.png 

Click here for a full list of software and OS requirements.

 

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments